/* $Id: MouseMode.java 125 2011-03-09 09:49:51Z ohura $ */
/*
 * 作成日: 2006/06/23
 *
 */
package sml_editor.swingui.mouse_state;

import java.awt.event.MouseEvent;

import sml_editor.swingui.EditorTextPane;



/**
 * @author kazuaki kobayashi
 *
 * 
*/
public abstract class MouseMode{

	public void mouseClicked(MouseEvent e,EditorTextPane textPane) {}
	public void mouseEntered(MouseEvent e,EditorTextPane textPane) {}
	public void mouseExited(MouseEvent e,EditorTextPane textPane) {}
	public void mousePressed(MouseEvent e,EditorTextPane textPane) {}
	public void mouseReleased(MouseEvent e,EditorTextPane textPane) {}
	public void mouseDragged(MouseEvent e,EditorTextPane textPane) {}
	public void mouseMoved(MouseEvent e,EditorTextPane textPane) {}
	
}
